// Generated by gencpp from file skeleton_streamer/SetNoisySkeletonDispersionRequest.msg
// DO NOT EDIT!


#ifndef SKELETON_STREAMER_MESSAGE_SETNOISYSKELETONDISPERSIONREQUEST_H
#define SKELETON_STREAMER_MESSAGE_SETNOISYSKELETONDISPERSIONREQUEST_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace skeleton_streamer
{
template <class ContainerAllocator>
struct SetNoisySkeletonDispersionRequest_
{
  typedef SetNoisySkeletonDispersionRequest_<ContainerAllocator> Type;

  SetNoisySkeletonDispersionRequest_()
    : data(0.0)  {
    }
  SetNoisySkeletonDispersionRequest_(const ContainerAllocator& _alloc)
    : data(0.0)  {
  (void)_alloc;
    }



   typedef float _data_type;
  _data_type data;





  typedef boost::shared_ptr< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> const> ConstPtr;

}; // struct SetNoisySkeletonDispersionRequest_

typedef ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<std::allocator<void> > SetNoisySkeletonDispersionRequest;

typedef boost::shared_ptr< ::skeleton_streamer::SetNoisySkeletonDispersionRequest > SetNoisySkeletonDispersionRequestPtr;
typedef boost::shared_ptr< ::skeleton_streamer::SetNoisySkeletonDispersionRequest const> SetNoisySkeletonDispersionRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator1> & lhs, const ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator2> & rhs)
{
  return lhs.data == rhs.data;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator1> & lhs, const ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace skeleton_streamer

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsFixedSize< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "73fcbf46b49191e672908e50842a83d4";
  }

  static const char* value(const ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x73fcbf46b49191e6ULL;
  static const uint64_t static_value2 = 0x72908e50842a83d4ULL;
};

template<class ContainerAllocator>
struct DataType< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "skeleton_streamer/SetNoisySkeletonDispersionRequest";
  }

  static const char* value(const ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "float32 data\n"
;
  }

  static const char* value(const ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.data);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct SetNoisySkeletonDispersionRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::skeleton_streamer::SetNoisySkeletonDispersionRequest_<ContainerAllocator>& v)
  {
    s << indent << "data: ";
    Printer<float>::stream(s, indent + "  ", v.data);
  }
};

} // namespace message_operations
} // namespace ros

#endif // SKELETON_STREAMER_MESSAGE_SETNOISYSKELETONDISPERSIONREQUEST_H
